{{ if or (not .IsNamedParams) (.Get "type") }}

{{ $type := cond (.IsNamedParams) (.Get "type") (.Get 0) }}
{{ $title := cond (.IsNamedParams) (.Get "title") (.Get 1) }}

<div class="highlight_box {{ $type }}">
<div class="title_container">
  <i class="box_icon {{ index .Site.Params.box.icon $type }}"></i>

<span class="title">
{{- if $title -}}
  {{- $title | markdownify -}}
{{- else -}}
  {{ index .Site.Params.box.title $type | markdownify }}
{{- end -}}
</span>
</div>
{{ .Inner }}
</div>

{{ else }}

<div class="highlight_box"
{{- if .Get "color" -}}
style="
      border-color: {{- .Get "color" -}};
      background-color: color-mix(in srgb, var(--bg-color) 90%, {{- .Get "color" -}});
      "
{{- end -}}
>
<div class="title_container" style="color: {{- .Get "color" -}}">
{{- if .Get "title" -}}
  <i class="box_icon {{ if .Get "icon" }} {{ .Get "icon" }} {{ else }} fa-info-circle {{ end }}"></i>
  <span class="title">
  {{- .Get "title" | markdownify -}}
  </span>
{{- end -}}
</div>
{{ .Inner }}
</div>


{{ end }}
